Bug 979383 - There are wrong versions of BOMs in some quickstarts poms.
There are wrong versions of BOMs in some quickstarts poms.
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Examples (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity medium
: CR2
: 2.3.0
Assigned To: Marek Novotny
Matous Jobanek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 07:49 EDT by Matous Jobanek
Modified: 2013-07-16 07:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 07:32:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matous Jobanek 2013-06-28 07:49:53 EDT
Description of problem:
There are wrong versions of BOMs in some quickstart poms.
These projects:

kitchensink-backbone
helloworld-html5
helloworld-gwt
kitchensink-html5-mobile
kitchensink-angularjs
kitchensink-rf
helloworld-errai

and the root pom of all quickstarts has set the version of jboss BOM on 1.0.6.Final by default instead of 1.0.4.Final-redhat-wfk-2 or 1.0.4.Final-redhat-4. The version 1.0.6.Final should be commented.

The pom file of the project shrinkwrap-resolver contains commented jboss BOM version 1.0.2.Final-redhat-1 which is from old EAP 6.0.1 repository. Even if it is commented the version should be right: 1.0.4.Final-redhat-4.

The project picketlink-deltaspike-authorization uses completely different version of BOMs:
default version: 1.0.7.CR2 instead of 1.0.4.Final-redhat-wfk-2
commented version: 1.0.6.Final-redhat-3 instead of 1.0.4.Final-redhat-4

Version-Release number of selected component (if applicable):
WFK 2.3.0.CR1


How reproducible:
Steps to Reproduce:
1. download the quickstarts zip from [1]
2. extract the zip file
3. open some of the wrong poms

Actual results:
wrong version of jboss BOMs

Expected results:
default version: 1.0.4.Final-redhat-wfk-2
commented version: 1.0.4.Final-redhat-4 or 1.0.6.Final

Additional info:

[1] http://download.devel.redhat.com/devel/candidates/JBWFK/2.3.0.CR1/jboss-wfk-quickstarts-2.3.0-dist.zip
Comment 4 Matous Jobanek 2013-07-03 09:08:13 EDT
Verified in WFK 2.3.0.CR2

Note You need to log in before you can comment on or make changes to this bug.